@echo off
:: Keep variables local
SETLOCAL
cd
cd %~dp0
cd

if not exist cluster.properties goto noconfig

for /f "tokens=1,2,3 delims==" %%a in (cluster.properties) do (
  
  if "%%a"=="WAS_HOME" set WAS_HOME=%%b
  if "%%a"=="SKLM_INSTALL_PATH" set SKLM_INSTALL_PATH=%%b
  if "%%a"=="IM_INSTALL_DIR" set IM_INSTALL_DIR=%%b
  if "%%a"=="JAVA_HOME" set JAVA_HOME=%%b
  )

if "%JAVA_HOME%"=="" (
 echo.
 echo JAVA_HOME Variable not set. Set the JAVA_HOME environment variable and try again.
 goto end
)
  
if "%WAS_HOME%"=="" (
 echo.
 echo WAS_HOME Property is empty.
 goto end
)

if "%SKLM_INSTALL_PATH%"=="" (
 echo.
 echo SKLM_INSTALL_PATH Property is empty.
 goto end
)


if "%IM_INSTALL_DIR%"=="" (
 echo.
 echo IM_INSTALL_DIR Property is empty.
 goto end
)

SET MIG_CP=%SKLM_INSTALL_PATH%/migration/com.ibm.sklm.migration.jar;%WAS_HOME%/universalDriver/lib/db2jcc.jar;%WAS_HOME%/lib/j2ee.jar;%WAS_HOME%/plugins/com.ibm.icu.jar;%WAS_HOME%/plugins/com.ibm.tklm.commands.jar;%WAS_HOME%/java/8.0/jre/lib/ext/ibmkeycert.jar;%WAS_HOME%/java/8.0/jre/lib/ext/ibmpkcs11impl.jar;%WAS_HOME%/java/8.0/jre/lib/ext/ibmjcefips.jar;%WAS_HOME%/lib/ext/com.ibm.tklm.obfuscation.jar;%WAS_HOME%/plugins/com.ibm.ws.prereq.jaxrs20.jar
call :IM_CLASSPATH

echo %MIG_CP%
"%JAVA_HOME%/bin/java.exe" -cp "%MIG_CP%" com.ibm.sklm.data.mig.cluster.ClusterMain

goto end
:noconfig
echo cluster.properties missing.
goto end

:IM_CLASSPATH
for %%i in ("%IM_INSTALL_DIR%\plugins\com.ibm.cic.common.core_*.jar") do call :SETCP %%i
for %%i in ("%IM_INSTALL_DIR%\plugins\org.eclipse.core.runtime_*.jar") do call :SETCP %%i
for %%i in ("%IM_INSTALL_DIR%\plugins\org.eclipse.osgi*.jar") do call :SETCP %%i
for %%i in ("%IM_INSTALL_DIR%\plugins\org.apache.commons*.jar") do call :SETCP %%i
for %%i in ("%IM_INSTALL_DIR%\plugins\org.eclipse.equinox.common*.jar") do call :SETCP %%i

:SETCP
set MIG_CP=%MIG_CP%;%*

:end
