@echo OFF
@rem  Licensed Materials-Property of IBM
@rem  (C)Copyright IBM Corp 2009
@rem  All rights reserved
@rem  US Government Users Restricted Rights
@rem  Use, duplication, or disclosure restricted
@rem  by GSA ADP Schedule Contract with IBM Corp
@rem 
@rem Args for recreatetask.py script:
@rem   arg1 - WAS_HOME
@rem   arg2 - sklm admin username
@rem   arg3 - sklm admin  password
@rem   arg4 - Roll over tasks file name
@rem   arg5 - log file name used by the jython script
@rem   arg6 - SKLM_HOME
@rem
set WAS_HOME=%1
set WSADMIN_CREDENTIALS=-user %2 -password %3
set TASKSFILENAME=%4
set LOGFILENAME=%5
set SKLM_HOME=%6
DEL /F %LOGFILENAME%
set PROFILE=KLMProfile

echo "WAS HOME - %WAS_HOME%"
echo "ROLLOVERTASKFILE - %TASKSFILENAME%"
echo " RecreateRolloverScriptLog - %LOGFILENAME%"
echo " SKLM-HOME - %SKLM_HOME%"

@rem set STARTSERVER=%WAS_HOME%\bin\startServer.bat server1 %WSADMIN_CREDENTIALS%
@rem set STOPSERVER=%WAS_HOME%\bin\stopServer.bat server1 %WSADMIN_CREDENTIALS%

@rem %STARTSERVER%

set WSADMINCMD=%WAS_HOME%\bin\wsadmin
%WSADMINCMD% %WSADMIN_CREDENTIALS% -lang jython -profileName %PROFILE% -f %SKLM_HOME%/migration/bin/recreatetask.py %TASKSFILENAME% %LOGFILENAME%
endlocal
