@echo off

SETLOCAL
 
SET CURR_DIR=%~dp0


cd %CURR_DIR%

if [%1]==[] goto usage
SET WAS_HOME=%~1
echo WAS_HOME=%WAS_HOME%

if [%2]==[] goto usage
SET ENCRYPT_STRING=%~2
echo ENCRYPT_STRING=%ENCRYPT_STRING%


::Validate WAS_HOME availability
if not exist "%WAS_HOME%" (
	echo.
	echo WAS_HOME Path not Valid.
	goto end
)


goto run
	
:run
echo.

SET ENCRYPT_CP=%CURR_DIR%com.ibm.tklm.encryption.obfuscation.jar;
rem echo %ENCRYPT_CP%

"%WAS_HOME%/java/8.0/bin/java.exe" -cp "%ENCRYPT_CP%" com.ibm.tklm.obfuscation.utils.Encrypter "%ENCRYPT_STRING%"> encrypter.log 2>&1

set rc=%ERRORLEVEL%
if NOT %rc%==0 (
	echo  Problem in Encryption.
)
if %rc%==0 (
	echo Encryption done.
)
goto end

:usage
echo Usage: 
echo		encrypt.bat "Path to WAS_HOME" "String to Encrypt"
echo		where
echo		the First Input Parameter is the path to WAS_HOME.
echo		and Second Input Parameter is the String to Encrypt.
echo Example: 
echo		encrypt.bat "C:\Program Files\IBM\WebSphere\AppServer" encryptme
echo Note:	Please ensure the WAS HOME path is correct.			
goto end

:end
exit /B 0